!check for record & array reference .

program zgs
REAL, DIMENSION(2:10,100*5+3)  ::  A, B
PARAMETER            (A=10,B=2)

type employ
   integer age0
   character (len=40) name0(30)
   real         rr(300)
end type employ

type person
   integer age
   character (len=40) name
   type(person), pointer :: next
   type(employ)   emp(10,20)
   type(employ) , pointer :: super  
   INTEGER        h(150,20)
end type person
TYPE (person) per(10)
INTEGER   g(20,30),r(20),ii,I
CHARACTER (100) str
DIMENSION str(40,34) 
TYPE(employ)  , POINTER:: BOB

! error !
BOB=employ(23,"zheng",600.0)
r=g(12,3:4)
per(1)%emp(r,4)%age0=79
per%emp(r,4)%name0(1:3)(4:6)='sad'
per%h(100+i/2,20*j/2)=g(2,3)
per%h(10:3,r)=(/34,(I,(I+J,J=3,67,1),I=1,200,3),44/)
per%h(10:3,r)=(/g/)
per(3)%emp(3,:) = 'sfdas'(4:10)
per%h(10:30)=45
per%emp(3,6)%h(10:30,4)(2:4)=A(10,45)

!  pointer
per(10)%super=>BOB

!		????????????
str(2,:)(2:4)='fg'
r(4:4)='dsf'
ppp(4:6)=34

!contains
!subroutine C
!error
!ac: do i=20,50
!end do ac
!	C=11
!	C=12
!ac=40
!end

end
